Skip to main content
POST
/
devices
/
{deviceId}
/
usagelimit
Update data usage limit for device
curl --request POST \
  --url https://dashboard.hologram.io/api/1/devices/{deviceId}/usagelimit \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "datathreshold": 1000000,
  "overagelimit": 2000000,
  "smslimit": 100
}
'
{
  "success": true,
  "data": {
    "warnings": [
      "<string>"
    ],
    "devices_modified": [
      123
    ],
    "profiles_modified": [
      123
    ],
    "newdatathreshold": 123,
    "newoveragelimit": 123,
    "newsmslimit": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

deviceId
integer
required

ID of the device

Body

application/json
datathreshold
number
Example:

1000000

overagelimit
number
Example:

2000000

smslimit
number
Example:

100

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object